Subject: Re: [Cbe-oss-dev] [RFC, PATCH 1/4] Add support to OProfile for profiling Cell BE SPUs -- update

From: Arnd Bergmann <[email-masked]>
Date: Tue, 30 Jan 2007 05:07:46 +0100

On Monday 29 January 2007 20:46, Maynard Johnson wrote:
>   This is a clean up patch that includes the following changes:
> 
>         -It removes some macro definitions that are only used once
>          with the actual code.
>         -Some comments were added to clarify the code based on feedback
>          from the community.
>         -The write_pm_cntrl() and set_count_mode() were passed a structure
>          element from a global variable.  The argument was removed so the
>          functions now just operate on the global directly.
>         -The set_pm_event() function call in the cell_virtual_cntr() routine
>          was moved to a for-loop before the for_each_cpu loop
> 
> Signed-off-by: Carl Love <[email-masked]>
> Signed-off-by: Maynard Johnson <[email-masked]>
> 

Acked-by: Arnd Bergmann <[email-masked]>

Just a small side note: Please give each of your patches a one-line
summary in the subject of the email. I'm filing this one under:
"cell: oprofile cleanup".

It would also be good if you could use a mailer that sends out
patches as inline, so you don't need to resort to using attachments.

	Arnd <><